---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Returns a list of topics associated with an application

Returns a list of topics associated with an application
Required these parameters by query string:
  - `limit` (limit of topics per page, by default 10)
  - `page` (page to show, by default 0).

Optionally you can filter with the parameter ***find*** by the name or code of the topic

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "inapp-topic",
      "x-displayName": "InApp - Topics"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/inapp/topic": {
      "get": {
        "summary": "Returns a list of topics associated with an application",
        "tags": [
          "inapp-topic"
        ],
        "description": "Returns a list of topics associated with an application\nRequired these parameters by query string:\n  - `limit` (limit of topics per page, by default 10)\n  - `page` (page to show, by default 0).\n\nOptionally you can filter with the parameter ***find*** by the name or code of the topic",
        "operationId": "iaGetTopicsInapp",
        "x-eov-operation-handler": "topicController",
        "x-gateway-endpoint": "inappService",
        "x-gateway-check-permission": {
          "account-features": [
            "INAPP_V2_ENABLED"
          ]
        },
        "parameters": [
          {
            "in": "query",
            "name": "applicationId",
            "required": true,
            "description": "application id",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "required": true,
            "description": "results per page",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": true,
            "description": "filter by page",
            "schema": {
              "type": "integer",
              "minimum": 0
            }
          },
          {
            "in": "query",
            "name": "find",
            "required": false,
            "description": "filter by name and code",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "showCounter",
            "required": false,
            "description": "If true, a counter with subscribed devices is returned",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "Order of the results:\n\n  * a-z - Order by name ascending. From A to Z.\n  * z-a - Order by name descending. From Z to A.\n  * 1-9 - Order by id ascending.\n  * 9-1 - Order by id descending.\n",
            "schema": {
              "type": "string",
              "enum": [
                "a-z",
                "z-a",
                "1-9",
                "9-1"
              ],
              "default": "9-1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TopicsResponseList"
                }
              }
            }
          },
          "400": {
            "description": "Parameters missing or not in right format",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Invalid credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Operation forbidden for your user",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Application not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "INAPP_ErrorResponse": {
        "required": [
          "message",
          "statusCode"
        ],
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "INAPP_START_DATE_INVALID",
              "INAPP_END_DATE_INVALID",
              "INAPP_CAMPAIGN_NOT_FOUND",
              "INAPP_CSV_EMPTY",
              "INAPP_BAD_CSV_FORMAT",
              "INAPP_AUDIENCE_CUSTOM_DATA_NOT_VALID",
              "INAPP_SCHEMA_CODE_ALREADY_EXISTS",
              "INAPP_SCHEMA_NOT_FOUND",
              "INAPP_SCHEMA_USED_IN_CAMPAIGN",
              "INAPP_TOPIC_NOT_FOUND",
              "INAPP_TOPIC_ALREADY_EXISTS",
              "INAPP_TOPIC_PARENT_NOT_FOUND",
              "INAPP_TOPIC_IN_USE",
              "INAPP_MULTIMEDIA_LIMIT_EXCEEDED",
              "INAPP_MULTIMEDIA_NOT_FOUND"
            ],
            "description": "* `INAPP_START_DATE_INVALID` - Invalid start date * `INAPP_END_DATE_INVALID` - Invalid end date or invalid range * `INAPP_CAMPAIGN_NOT_FOUND` - Campaign not found\n* `INAPP_CSV_EMPTY` * `INAPP_BAD_CSV_FORMAT`\n* `INAPP_AUDIENCE_CUSTOM_DATA_NOT_VALID` - The audiences customData does not contains campaigns customData\n* `INAPP_SCHEMA_CODE_ALREADY_EXISTS` - A scheme with the same code already exists * `INAPP_SCHEMA_NOT_FOUND` - Schema not found * `INAPP_SCHEMA_USED_IN_CAMPAIGN` - The schema is used in a campaign and cannot be deleted\n* `INAPP_TOPIC_NOT_FOUND` - Topic not found * `INAPP_TOPIC_ALREADY_EXISTS` - There is already a topic with this same code * `INAPP_TOPIC_PARENT_NOT_FOUND` - A nonexistent parentId has been use * `INAPP_TOPIC_IN_USE` - Topic in use by a campaign\n* `INAPP_MULTIMEDIA_LIMIT_EXCEEDED` - The maximum number of media elements associated with a campaign has been exceeded * `INAPP_MULTIMEDIA_NOT_FOUND` - Multimedia item not found\n"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "TopicsResponseList": {
        "required": [
          "statusCode",
          "message",
          "data"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "message": {
            "type": "string",
            "description": "Response message, usually OK"
          },
          "data": {
            "type": "array",
            "description": "Array of ExternalAppsObject",
            "items": {
              "$ref": "#/components/schemas/TopicsObject"
            }
          },
          "count": {
            "type": "integer",
            "description": "counter total registers"
          }
        }
      },
      "TopicsObject": {
        "required": [
          "name"
        ],
        "properties": {
          "id": {
            "type": "integer",
            "description": "Topic's id"
          },
          "name": {
            "type": "string",
            "maxLength": 250,
            "description": "Topic name"
          },
          "code": {
            "type": "string",
            "maxLength": 80,
            "format": "code-alphanumeric",
            "description": "Topic code. this string can contain alphanumeric values and the characters '- _ #. It must not contain white space \n\nCorrect:\n```\ncode_secret\ncode-01\n\n```\nIncorrect:\n```\ncode secret \ncode 01\n\n```\n"
          },
          "parentId": {
            "description": "Topic's parent id",
            "nullable": true,
            "type": "integer"
          },
          "parentName": {
            "description": "Topic's parent name",
            "nullable": true,
            "type": "string"
          },
          "parentCode": {
            "description": "Topic's parent code",
            "nullable": true,
            "type": "string"
          }
        }
      }
    }
  }
}
````